Monday, July 09, 2012

RequireJS 2.0.4 released

 RequireJS 2.0.4 is available.
And hot on the heels of 2.0.3, there is a 2.0.4 release! Unfortunately a bug with a fix that was in 2.0.3 caused a different bug, and it was not found until after the 2.0.3 release. It made the optimizer unusable in certain situations, so the change was rolled back and 2.0.4 is out, with the only change over 2.0.3 being the rollback of that previous change.

I apologize for the extra noise.

1 comment:

James Burke said...

To clarify, 2.0.4 is a release that is different than 2.0.2. It has all the 2.0.3 changes except for the one mentioned in the link above about logging in node for the optimizer, since it caused errors in some situations.